Package: org.codehaus.groovy.ast.stmt

## [Java] Class ForStatement

- org.codehaus.groovy.ast.stmt.ForStatement

- All Implemented Interfaces and Traits:
    LoopingStatement

      public class ForStatement
      extends Statement

  Represents a standard for loop in Groovy

  Authors:
    James Strachan

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static Parameter` | `FOR_LOOP_DUMMY` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface Statement` | `CLOSE_CURRENT_RESULT, KEEP_CURRENT_RESULT, CLOSE_ALL_RESULTS, SUCCESS_NO_INFO, EXECUTE_FAILED, RETURN_GENERATED_KEYS, NO_GENERATED_KEYS`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Expression` | `collectionExpression`
    `Statement` | `loopBlock`
    `VariableScope` | `variableScope`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ForStatement (Parameter variable, Expression collectionExpression, Statement loopBlock)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Expression` | `getCollectionExpression()`
    `` | `Statement` | `getLoopBlock()`
    `` | `Parameter` | `getVariable()`
    `` | `VariableScope` | `getVariableScope()`
    `` | `ClassNode` | `getVariableType()`
    `` | `void` | `setCollectionExpression(Expression collectionExpression)`
    `` | `void` | `setLoopBlock(Statement loopBlock)`
    `` | `void` | `setVariableScope(VariableScope variableScope)`
    `` | `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Statement` | `execute, execute, execute, execute, close, getConnection, isClosed, cancel, clearWarnings, getFetchDirection, getFetchSize, getWarnings, setFetchDirection, setFetchSize, getResultSet, addBatch, clearBatch, closeOnCompletion, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout, unwrap, isWrapperFor`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final Parameter FOR_LOOP_DUMMY

  - ### Property Detail

    - #### Expression collectionExpression

    - #### Statement loopBlock

    - #### VariableScope variableScope

  - ### Constructor Detail

    - #### public ForStatement(Parameter variable, Expression collectionExpression, Statement loopBlock)

  - ### Method Detail

    - #### public Expression getCollectionExpression()

    - #### public Statement getLoopBlock()

    - #### public Parameter getVariable()

    - #### public VariableScope getVariableScope()

    - #### public ClassNode getVariableType()

    - #### public void setCollectionExpression(Expression collectionExpression)

    - #### public void setLoopBlock(Statement loopBlock)

    - #### public void setVariableScope(VariableScope variableScope)

    - #### public void visit(GroovyCodeVisitor visitor)